OSDN Git Service

* configure.in: Fix for autoconf 2.5.
[pf3gnuchains/sourceware.git] / tcl / tools / configure
1 #! /bin/sh
2 # Guess values for system-dependent variables and create Makefiles.
3 # Generated by GNU Autoconf 2.59.
4 #
5 # Copyright (C) 2003 Free Software Foundation, Inc.
6 # This configure script is free software; the Free Software Foundation
7 # gives unlimited permission to copy, distribute and modify it.
8 ## --------------------- ##
9 ## M4sh Initialization.  ##
10 ## --------------------- ##
11
12 # Be Bourne compatible
13 if test -n "${ZSH_VERSION+set}" && (emulate sh) >/dev/null 2>&1; then
14   emulate sh
15   NULLCMD=:
16   # Zsh 3.x and 4.x performs word splitting on ${1+"$@"}, which
17   # is contrary to our usage.  Disable this feature.
18   alias -g '${1+"$@"}'='"$@"'
19 elif test -n "${BASH_VERSION+set}" && (set -o posix) >/dev/null 2>&1; then
20   set -o posix
21 fi
22 DUALCASE=1; export DUALCASE # for MKS sh
23
24 # Support unset when possible.
25 if ( (MAIL=60; unset MAIL) || exit) >/dev/null 2>&1; then
26   as_unset=unset
27 else
28   as_unset=false
29 fi
30
31
32 # Work around bugs in pre-3.0 UWIN ksh.
33 $as_unset ENV MAIL MAILPATH
34 PS1='$ '
35 PS2='> '
36 PS4='+ '
37
38 # NLS nuisances.
39 for as_var in \
40   LANG LANGUAGE LC_ADDRESS LC_ALL LC_COLLATE LC_CTYPE LC_IDENTIFICATION \
41   LC_MEASUREMENT LC_MESSAGES LC_MONETARY LC_NAME LC_NUMERIC LC_PAPER \
42   LC_TELEPHONE LC_TIME
43 do
44   if (set +x; test -z "`(eval $as_var=C; export $as_var) 2>&1`"); then
45     eval $as_var=C; export $as_var
46   else
47     $as_unset $as_var
48   fi
49 done
50
51 # Required to use basename.
52 if expr a : '\(a\)' >/dev/null 2>&1; then
53   as_expr=expr
54 else
55   as_expr=false
56 fi
57
58 if (basename /) >/dev/null 2>&1 && test "X`basename / 2>&1`" = "X/"; then
59   as_basename=basename
60 else
61   as_basename=false
62 fi
63
64
65 # Name of the executable.
66 as_me=`$as_basename "$0" ||
67 $as_expr X/"$0" : '.*/\([^/][^/]*\)/*$' \| \
68          X"$0" : 'X\(//\)$' \| \
69          X"$0" : 'X\(/\)$' \| \
70          .     : '\(.\)' 2>/dev/null ||
71 echo X/"$0" |
72     sed '/^.*\/\([^/][^/]*\)\/*$/{ s//\1/; q; }
73           /^X\/\(\/\/\)$/{ s//\1/; q; }
74           /^X\/\(\/\).*/{ s//\1/; q; }
75           s/.*/./; q'`
76
77
78 # PATH needs CR, and LINENO needs CR and PATH.
79 # Avoid depending upon Character Ranges.
80 as_cr_letters='abcdefghijklmnopqrstuvwxyz'
81 as_cr_LETTERS='ABCDEFGHIJKLMNOPQRSTUVWXYZ'
82 as_cr_Letters=$as_cr_letters$as_cr_LETTERS
83 as_cr_digits='0123456789'
84 as_cr_alnum=$as_cr_Letters$as_cr_digits
85
86 # The user is always right.
87 if test "${PATH_SEPARATOR+set}" != set; then
88   echo "#! /bin/sh" >conf$$.sh
89   echo  "exit 0"   >>conf$$.sh
90   chmod +x conf$$.sh
91   if (PATH="/nonexistent;."; conf$$.sh) >/dev/null 2>&1; then
92     PATH_SEPARATOR=';'
93   else
94     PATH_SEPARATOR=:
95   fi
96   rm -f conf$$.sh
97 fi
98
99
100   as_lineno_1=$LINENO
101   as_lineno_2=$LINENO
102   as_lineno_3=`(expr $as_lineno_1 + 1) 2>/dev/null`
103   test "x$as_lineno_1" != "x$as_lineno_2" &&
104   test "x$as_lineno_3"  = "x$as_lineno_2"  || {
105   # Find who we are.  Look in the path if we contain no path at all
106   # relative or not.
107   case $0 in
108     *[\\/]* ) as_myself=$0 ;;
109     *) as_save_IFS=$IFS; IFS=$PATH_SEPARATOR
110 for as_dir in $PATH
111 do
112   IFS=$as_save_IFS
113   test -z "$as_dir" && as_dir=.
114   test -r "$as_dir/$0" && as_myself=$as_dir/$0 && break
115 done
116
117        ;;
118   esac
119   # We did not find ourselves, most probably we were run as `sh COMMAND'
120   # in which case we are not to be found in the path.
121   if test "x$as_myself" = x; then
122     as_myself=$0
123   fi
124   if test ! -f "$as_myself"; then
125     { echo "$as_me: error: cannot find myself; rerun with an absolute path" >&2
126    { (exit 1); exit 1; }; }
127   fi
128   case $CONFIG_SHELL in
129   '')
130     as_save_IFS=$IFS; IFS=$PATH_SEPARATOR
131 for as_dir in /bin$PATH_SEPARATOR/usr/bin$PATH_SEPARATOR$PATH
132 do
133   IFS=$as_save_IFS
134   test -z "$as_dir" && as_dir=.
135   for as_base in sh bash ksh sh5; do
136          case $as_dir in
137          /*)
138            if ("$as_dir/$as_base" -c '
139   as_lineno_1=$LINENO
140   as_lineno_2=$LINENO
141   as_lineno_3=`(expr $as_lineno_1 + 1) 2>/dev/null`
142   test "x$as_lineno_1" != "x$as_lineno_2" &&
143   test "x$as_lineno_3"  = "x$as_lineno_2" ') 2>/dev/null; then
144              $as_unset BASH_ENV || test "${BASH_ENV+set}" != set || { BASH_ENV=; export BASH_ENV; }
145              $as_unset ENV || test "${ENV+set}" != set || { ENV=; export ENV; }
146              CONFIG_SHELL=$as_dir/$as_base
147              export CONFIG_SHELL
148              exec "$CONFIG_SHELL" "$0" ${1+"$@"}
149            fi;;
150          esac
151        done
152 done
153 ;;
154   esac
155
156   # Create $as_me.lineno as a copy of $as_myself, but with $LINENO
157   # uniformly replaced by the line number.  The first 'sed' inserts a
158   # line-number line before each line; the second 'sed' does the real
159   # work.  The second script uses 'N' to pair each line-number line
160   # with the numbered line, and appends trailing '-' during
161   # substitution so that $LINENO is not a special case at line end.
162   # (Raja R Harinath suggested sed '=', and Paul Eggert wrote the
163   # second 'sed' script.  Blame Lee E. McMahon for sed's syntax.  :-)
164   sed '=' <$as_myself |
165     sed '
166       N
167       s,$,-,
168       : loop
169       s,^\(['$as_cr_digits']*\)\(.*\)[$]LINENO\([^'$as_cr_alnum'_]\),\1\2\1\3,
170       t loop
171       s,-$,,
172       s,^['$as_cr_digits']*\n,,
173     ' >$as_me.lineno &&
174   chmod +x $as_me.lineno ||
175     { echo "$as_me: error: cannot create $as_me.lineno; rerun with a POSIX shell" >&2
176    { (exit 1); exit 1; }; }
177
178   # Don't try to exec as it changes $[0], causing all sort of problems
179   # (the dirname of $[0] is not the place where we might find the
180   # original and so on.  Autoconf is especially sensible to this).
181   . ./$as_me.lineno
182   # Exit status is that of the last command.
183   exit
184 }
185
186
187 case `echo "testing\c"; echo 1,2,3`,`echo -n testing; echo 1,2,3` in
188   *c*,-n*) ECHO_N= ECHO_C='
189 ' ECHO_T='      ' ;;
190   *c*,*  ) ECHO_N=-n ECHO_C= ECHO_T= ;;
191   *)       ECHO_N= ECHO_C='\c' ECHO_T= ;;
192 esac
193
194 if expr a : '\(a\)' >/dev/null 2>&1; then
195   as_expr=expr
196 else
197   as_expr=false
198 fi
199
200 rm -f conf$$ conf$$.exe conf$$.file
201 echo >conf$$.file
202 if ln -s conf$$.file conf$$ 2>/dev/null; then
203   # We could just check for DJGPP; but this test a) works b) is more generic
204   # and c) will remain valid once DJGPP supports symlinks (DJGPP 2.04).
205   if test -f conf$$.exe; then
206     # Don't use ln at all; we don't have any links
207     as_ln_s='cp -p'
208   else
209     as_ln_s='ln -s'
210   fi
211 elif ln conf$$.file conf$$ 2>/dev/null; then
212   as_ln_s=ln
213 else
214   as_ln_s='cp -p'
215 fi
216 rm -f conf$$ conf$$.exe conf$$.file
217
218 if mkdir -p . 2>/dev/null; then
219   as_mkdir_p=:
220 else
221   test -d ./-p && rmdir ./-p
222   as_mkdir_p=false
223 fi
224
225 as_executable_p="test -f"
226
227 # Sed expression to map a string onto a valid CPP name.
228 as_tr_cpp="eval sed 'y%*$as_cr_letters%P$as_cr_LETTERS%;s%[^_$as_cr_alnum]%_%g'"
229
230 # Sed expression to map a string onto a valid variable name.
231 as_tr_sh="eval sed 'y%*+%pp%;s%[^_$as_cr_alnum]%_%g'"
232
233
234 # IFS
235 # We need space, tab and new line, in precisely that order.
236 as_nl='
237 '
238 IFS="   $as_nl"
239
240 # CDPATH.
241 $as_unset CDPATH
242
243
244 # Name of the host.
245 # hostname on some systems (SVR3.2, Linux) returns a bogus exit status,
246 # so uname gets run too.
247 ac_hostname=`(hostname || uname -n) 2>/dev/null | sed 1q`
248
249 exec 6>&1
250
251 #
252 # Initializations.
253 #
254 ac_default_prefix=/usr/local
255 ac_config_libobj_dir=.
256 cross_compiling=no
257 subdirs=
258 MFLAGS=
259 MAKEFLAGS=
260 SHELL=${CONFIG_SHELL-/bin/sh}
261
262 # Maximum number of lines to put in a shell here document.
263 # This variable seems obsolete.  It should probably be removed, and
264 # only ac_max_sed_lines should be used.
265 : ${ac_max_here_lines=38}
266
267 # Identity of this package.
268 PACKAGE_NAME=
269 PACKAGE_TARNAME=
270 PACKAGE_VERSION=
271 PACKAGE_STRING=
272 PACKAGE_BUGREPORT=
273
274 ac_unique_file="man2tcl.c"
275 ac_subst_vars='SHELL PATH_SEPARATOR PACKAGE_NAME PACKAGE_TARNAME PACKAGE_VERSION PACKAGE_STRING PACKAGE_BUGREPORT exec_prefix prefix program_transform_name bindir sbindir libexecdir datadir sysconfdir sharedstatedir localstatedir libdir includedir oldincludedir infodir mandir build_alias host_alias target_alias DEFS ECHO_C ECHO_N ECHO_T LIBS TCL_WIN_VERSION CC TCL_VERSION TCL_PATCH_LEVEL TCL_SRC_DIR TCL_BIN_DIR LIBOBJS LTLIBOBJS'
276 ac_subst_files=''
277
278 # Initialize some variables set by options.
279 ac_init_help=
280 ac_init_version=false
281 # The variables have the same names as the options, with
282 # dashes changed to underlines.
283 cache_file=/dev/null
284 exec_prefix=NONE
285 no_create=
286 no_recursion=
287 prefix=NONE
288 program_prefix=NONE
289 program_suffix=NONE
290 program_transform_name=s,x,x,
291 silent=
292 site=
293 srcdir=
294 verbose=
295 x_includes=NONE
296 x_libraries=NONE
297
298 # Installation directory options.
299 # These are left unexpanded so users can "make install exec_prefix=/foo"
300 # and all the variables that are supposed to be based on exec_prefix
301 # by default will actually change.
302 # Use braces instead of parens because sh, perl, etc. also accept them.
303 bindir='${exec_prefix}/bin'
304 sbindir='${exec_prefix}/sbin'
305 libexecdir='${exec_prefix}/libexec'
306 datadir='${prefix}/share'
307 sysconfdir='${prefix}/etc'
308 sharedstatedir='${prefix}/com'
309 localstatedir='${prefix}/var'
310 libdir='${exec_prefix}/lib'
311 includedir='${prefix}/include'
312 oldincludedir='/usr/include'
313 infodir='${prefix}/info'
314 mandir='${prefix}/man'
315
316 ac_prev=
317 for ac_option
318 do
319   # If the previous option needs an argument, assign it.
320   if test -n "$ac_prev"; then
321     eval "$ac_prev=\$ac_option"
322     ac_prev=
323     continue
324   fi
325
326   ac_optarg=`expr "x$ac_option" : 'x[^=]*=\(.*\)'`
327
328   # Accept the important Cygnus configure options, so we can diagnose typos.
329
330   case $ac_option in
331
332   -bindir | --bindir | --bindi | --bind | --bin | --bi)
333     ac_prev=bindir ;;
334   -bindir=* | --bindir=* | --bindi=* | --bind=* | --bin=* | --bi=*)
335     bindir=$ac_optarg ;;
336
337   -build | --build | --buil | --bui | --bu)
338     ac_prev=build_alias ;;
339   -build=* | --build=* | --buil=* | --bui=* | --bu=*)
340     build_alias=$ac_optarg ;;
341
342   -cache-file | --cache-file | --cache-fil | --cache-fi \
343   | --cache-f | --cache- | --cache | --cach | --cac | --ca | --c)
344     ac_prev=cache_file ;;
345   -cache-file=* | --cache-file=* | --cache-fil=* | --cache-fi=* \
346   | --cache-f=* | --cache-=* | --cache=* | --cach=* | --cac=* | --ca=* | --c=*)
347     cache_file=$ac_optarg ;;
348
349   --config-cache | -C)
350     cache_file=config.cache ;;
351
352   -datadir | --datadir | --datadi | --datad | --data | --dat | --da)
353     ac_prev=datadir ;;
354   -datadir=* | --datadir=* | --datadi=* | --datad=* | --data=* | --dat=* \
355   | --da=*)
356     datadir=$ac_optarg ;;
357
358   -disable-* | --disable-*)
359     ac_feature=`expr "x$ac_option" : 'x-*disable-\(.*\)'`
360     # Reject names that are not valid shell variable names.
361     expr "x$ac_feature" : ".*[^-_$as_cr_alnum]" >/dev/null &&
362       { echo "$as_me: error: invalid feature name: $ac_feature" >&2
363    { (exit 1); exit 1; }; }
364     ac_feature=`echo $ac_feature | sed 's/-/_/g'`
365     eval "enable_$ac_feature=no" ;;
366
367   -enable-* | --enable-*)
368     ac_feature=`expr "x$ac_option" : 'x-*enable-\([^=]*\)'`
369     # Reject names that are not valid shell variable names.
370     expr "x$ac_feature" : ".*[^-_$as_cr_alnum]" >/dev/null &&
371       { echo "$as_me: error: invalid feature name: $ac_feature" >&2
372    { (exit 1); exit 1; }; }
373     ac_feature=`echo $ac_feature | sed 's/-/_/g'`
374     case $ac_option in
375       *=*) ac_optarg=`echo "$ac_optarg" | sed "s/'/'\\\\\\\\''/g"`;;
376       *) ac_optarg=yes ;;
377     esac
378     eval "enable_$ac_feature='$ac_optarg'" ;;
379
380   -exec-prefix | --exec_prefix | --exec-prefix | --exec-prefi \
381   | --exec-pref | --exec-pre | --exec-pr | --exec-p | --exec- \
382   | --exec | --exe | --ex)
383     ac_prev=exec_prefix ;;
384   -exec-prefix=* | --exec_prefix=* | --exec-prefix=* | --exec-prefi=* \
385   | --exec-pref=* | --exec-pre=* | --exec-pr=* | --exec-p=* | --exec-=* \
386   | --exec=* | --exe=* | --ex=*)
387     exec_prefix=$ac_optarg ;;
388
389   -gas | --gas | --ga | --g)
390     # Obsolete; use --with-gas.
391     with_gas=yes ;;
392
393   -help | --help | --hel | --he | -h)
394     ac_init_help=long ;;
395   -help=r* | --help=r* | --hel=r* | --he=r* | -hr*)
396     ac_init_help=recursive ;;
397   -help=s* | --help=s* | --hel=s* | --he=s* | -hs*)
398     ac_init_help=short ;;
399
400   -host | --host | --hos | --ho)
401     ac_prev=host_alias ;;
402   -host=* | --host=* | --hos=* | --ho=*)
403     host_alias=$ac_optarg ;;
404
405   -includedir | --includedir | --includedi | --included | --include \
406   | --includ | --inclu | --incl | --inc)
407     ac_prev=includedir ;;
408   -includedir=* | --includedir=* | --includedi=* | --included=* | --include=* \
409   | --includ=* | --inclu=* | --incl=* | --inc=*)
410     includedir=$ac_optarg ;;
411
412   -infodir | --infodir | --infodi | --infod | --info | --inf)
413     ac_prev=infodir ;;
414   -infodir=* | --infodir=* | --infodi=* | --infod=* | --info=* | --inf=*)
415     infodir=$ac_optarg ;;
416
417   -libdir | --libdir | --libdi | --libd)
418     ac_prev=libdir ;;
419   -libdir=* | --libdir=* | --libdi=* | --libd=*)
420     libdir=$ac_optarg ;;
421
422   -libexecdir | --libexecdir | --libexecdi | --libexecd | --libexec \
423   | --libexe | --libex | --libe)
424     ac_prev=libexecdir ;;
425   -libexecdir=* | --libexecdir=* | --libexecdi=* | --libexecd=* | --libexec=* \
426   | --libexe=* | --libex=* | --libe=*)
427     libexecdir=$ac_optarg ;;
428
429   -localstatedir | --localstatedir | --localstatedi | --localstated \
430   | --localstate | --localstat | --localsta | --localst \
431   | --locals | --local | --loca | --loc | --lo)
432     ac_prev=localstatedir ;;
433   -localstatedir=* | --localstatedir=* | --localstatedi=* | --localstated=* \
434   | --localstate=* | --localstat=* | --localsta=* | --localst=* \
435   | --locals=* | --local=* | --loca=* | --loc=* | --lo=*)
436     localstatedir=$ac_optarg ;;
437
438   -mandir | --mandir | --mandi | --mand | --man | --ma | --m)
439     ac_prev=mandir ;;
440   -mandir=* | --mandir=* | --mandi=* | --mand=* | --man=* | --ma=* | --m=*)
441     mandir=$ac_optarg ;;
442
443   -nfp | --nfp | --nf)
444     # Obsolete; use --without-fp.
445     with_fp=no ;;
446
447   -no-create | --no-create | --no-creat | --no-crea | --no-cre \
448   | --no-cr | --no-c | -n)
449     no_create=yes ;;
450
451   -no-recursion | --no-recursion | --no-recursio | --no-recursi \
452   | --no-recurs | --no-recur | --no-recu | --no-rec | --no-re | --no-r)
453     no_recursion=yes ;;
454
455   -oldincludedir | --oldincludedir | --oldincludedi | --oldincluded \
456   | --oldinclude | --oldinclud | --oldinclu | --oldincl | --oldinc \
457   | --oldin | --oldi | --old | --ol | --o)
458     ac_prev=oldincludedir ;;
459   -oldincludedir=* | --oldincludedir=* | --oldincludedi=* | --oldincluded=* \
460   | --oldinclude=* | --oldinclud=* | --oldinclu=* | --oldincl=* | --oldinc=* \
461   | --oldin=* | --oldi=* | --old=* | --ol=* | --o=*)
462     oldincludedir=$ac_optarg ;;
463
464   -prefix | --prefix | --prefi | --pref | --pre | --pr | --p)
465     ac_prev=prefix ;;
466   -prefix=* | --prefix=* | --prefi=* | --pref=* | --pre=* | --pr=* | --p=*)
467     prefix=$ac_optarg ;;
468
469   -program-prefix | --program-prefix | --program-prefi | --program-pref \
470   | --program-pre | --program-pr | --program-p)
471     ac_prev=program_prefix ;;
472   -program-prefix=* | --program-prefix=* | --program-prefi=* \
473   | --program-pref=* | --program-pre=* | --program-pr=* | --program-p=*)
474     program_prefix=$ac_optarg ;;
475
476   -program-suffix | --program-suffix | --program-suffi | --program-suff \
477   | --program-suf | --program-su | --program-s)
478     ac_prev=program_suffix ;;
479   -program-suffix=* | --program-suffix=* | --program-suffi=* \
480   | --program-suff=* | --program-suf=* | --program-su=* | --program-s=*)
481     program_suffix=$ac_optarg ;;
482
483   -program-transform-name | --program-transform-name \
484   | --program-transform-nam | --program-transform-na \
485   | --program-transform-n | --program-transform- \
486   | --program-transform | --program-transfor \
487   | --program-transfo | --program-transf \
488   | --program-trans | --program-tran \
489   | --progr-tra | --program-tr | --program-t)
490     ac_prev=program_transform_name ;;
491   -program-transform-name=* | --program-transform-name=* \
492   | --program-transform-nam=* | --program-transform-na=* \
493   | --program-transform-n=* | --program-transform-=* \
494   | --program-transform=* | --program-transfor=* \
495   | --program-transfo=* | --program-transf=* \
496   | --program-trans=* | --program-tran=* \
497   | --progr-tra=* | --program-tr=* | --program-t=*)
498     program_transform_name=$ac_optarg ;;
499
500   -q | -quiet | --quiet | --quie | --qui | --qu | --q \
501   | -silent | --silent | --silen | --sile | --sil)
502     silent=yes ;;
503
504   -sbindir | --sbindir | --sbindi | --sbind | --sbin | --sbi | --sb)
505     ac_prev=sbindir ;;
506   -sbindir=* | --sbindir=* | --sbindi=* | --sbind=* | --sbin=* \
507   | --sbi=* | --sb=*)
508     sbindir=$ac_optarg ;;
509
510   -sharedstatedir | --sharedstatedir | --sharedstatedi \
511   | --sharedstated | --sharedstate | --sharedstat | --sharedsta \
512   | --sharedst | --shareds | --shared | --share | --shar \
513   | --sha | --sh)
514     ac_prev=sharedstatedir ;;
515   -sharedstatedir=* | --sharedstatedir=* | --sharedstatedi=* \
516   | --sharedstated=* | --sharedstate=* | --sharedstat=* | --sharedsta=* \
517   | --sharedst=* | --shareds=* | --shared=* | --share=* | --shar=* \
518   | --sha=* | --sh=*)
519     sharedstatedir=$ac_optarg ;;
520
521   -site | --site | --sit)
522     ac_prev=site ;;
523   -site=* | --site=* | --sit=*)
524     site=$ac_optarg ;;
525
526   -srcdir | --srcdir | --srcdi | --srcd | --src | --sr)
527     ac_prev=srcdir ;;
528   -srcdir=* | --srcdir=* | --srcdi=* | --srcd=* | --src=* | --sr=*)
529     srcdir=$ac_optarg ;;
530
531   -sysconfdir | --sysconfdir | --sysconfdi | --sysconfd | --sysconf \
532   | --syscon | --sysco | --sysc | --sys | --sy)
533     ac_prev=sysconfdir ;;
534   -sysconfdir=* | --sysconfdir=* | --sysconfdi=* | --sysconfd=* | --sysconf=* \
535   | --syscon=* | --sysco=* | --sysc=* | --sys=* | --sy=*)
536     sysconfdir=$ac_optarg ;;
537
538   -target | --target | --targe | --targ | --tar | --ta | --t)
539     ac_prev=target_alias ;;
540   -target=* | --target=* | --targe=* | --targ=* | --tar=* | --ta=* | --t=*)
541     target_alias=$ac_optarg ;;
542
543   -v | -verbose | --verbose | --verbos | --verbo | --verb)
544     verbose=yes ;;
545
546   -version | --version | --versio | --versi | --vers | -V)
547     ac_init_version=: ;;
548
549   -with-* | --with-*)
550     ac_package=`expr "x$ac_option" : 'x-*with-\([^=]*\)'`
551     # Reject names that are not valid shell variable names.
552     expr "x$ac_package" : ".*[^-_$as_cr_alnum]" >/dev/null &&
553       { echo "$as_me: error: invalid package name: $ac_package" >&2
554    { (exit 1); exit 1; }; }
555     ac_package=`echo $ac_package| sed 's/-/_/g'`
556     case $ac_option in
557       *=*) ac_optarg=`echo "$ac_optarg" | sed "s/'/'\\\\\\\\''/g"`;;
558       *) ac_optarg=yes ;;
559     esac
560     eval "with_$ac_package='$ac_optarg'" ;;
561
562   -without-* | --without-*)
563     ac_package=`expr "x$ac_option" : 'x-*without-\(.*\)'`
564     # Reject names that are not valid shell variable names.
565     expr "x$ac_package" : ".*[^-_$as_cr_alnum]" >/dev/null &&
566       { echo "$as_me: error: invalid package name: $ac_package" >&2
567    { (exit 1); exit 1; }; }
568     ac_package=`echo $ac_package | sed 's/-/_/g'`
569     eval "with_$ac_package=no" ;;
570
571   --x)
572     # Obsolete; use --with-x.
573     with_x=yes ;;
574
575   -x-includes | --x-includes | --x-include | --x-includ | --x-inclu \
576   | --x-incl | --x-inc | --x-in | --x-i)
577     ac_prev=x_includes ;;
578   -x-includes=* | --x-includes=* | --x-include=* | --x-includ=* | --x-inclu=* \
579   | --x-incl=* | --x-inc=* | --x-in=* | --x-i=*)
580     x_includes=$ac_optarg ;;
581
582   -x-libraries | --x-libraries | --x-librarie | --x-librari \
583   | --x-librar | --x-libra | --x-libr | --x-lib | --x-li | --x-l)
584     ac_prev=x_libraries ;;
585   -x-libraries=* | --x-libraries=* | --x-librarie=* | --x-librari=* \
586   | --x-librar=* | --x-libra=* | --x-libr=* | --x-lib=* | --x-li=* | --x-l=*)
587     x_libraries=$ac_optarg ;;
588
589   -*) { echo "$as_me: error: unrecognized option: $ac_option
590 Try \`$0 --help' for more information." >&2
591    { (exit 1); exit 1; }; }
592     ;;
593
594   *=*)
595     ac_envvar=`expr "x$ac_option" : 'x\([^=]*\)='`
596     # Reject names that are not valid shell variable names.
597     expr "x$ac_envvar" : ".*[^_$as_cr_alnum]" >/dev/null &&
598       { echo "$as_me: error: invalid variable name: $ac_envvar" >&2
599    { (exit 1); exit 1; }; }
600     ac_optarg=`echo "$ac_optarg" | sed "s/'/'\\\\\\\\''/g"`
601     eval "$ac_envvar='$ac_optarg'"
602     export $ac_envvar ;;
603
604   *)
605     # FIXME: should be removed in autoconf 3.0.
606     echo "$as_me: WARNING: you should use --build, --host, --target" >&2
607     expr "x$ac_option" : ".*[^-._$as_cr_alnum]" >/dev/null &&
608       echo "$as_me: WARNING: invalid host type: $ac_option" >&2
609     : ${build_alias=$ac_option} ${host_alias=$ac_option} ${target_alias=$ac_option}
610     ;;
611
612   esac
613 done
614
615 if test -n "$ac_prev"; then
616   ac_option=--`echo $ac_prev | sed 's/_/-/g'`
617   { echo "$as_me: error: missing argument to $ac_option" >&2
618    { (exit 1); exit 1; }; }
619 fi
620
621 # Be sure to have absolute paths.
622 for ac_var in exec_prefix prefix
623 do
624   eval ac_val=$`echo $ac_var`
625   case $ac_val in
626     [\\/$]* | ?:[\\/]* | NONE | '' ) ;;
627     *)  { echo "$as_me: error: expected an absolute directory name for --$ac_var: $ac_val" >&2
628    { (exit 1); exit 1; }; };;
629   esac
630 done
631
632 # Be sure to have absolute paths.
633 for ac_var in bindir sbindir libexecdir datadir sysconfdir sharedstatedir \
634               localstatedir libdir includedir oldincludedir infodir mandir
635 do
636   eval ac_val=$`echo $ac_var`
637   case $ac_val in
638     [\\/$]* | ?:[\\/]* ) ;;
639     *)  { echo "$as_me: error: expected an absolute directory name for --$ac_var: $ac_val" >&2
640    { (exit 1); exit 1; }; };;
641   esac
642 done
643
644 # There might be people who depend on the old broken behavior: `$host'
645 # used to hold the argument of --host etc.
646 # FIXME: To remove some day.
647 build=$build_alias
648 host=$host_alias
649 target=$target_alias
650
651 # FIXME: To remove some day.
652 if test "x$host_alias" != x; then
653   if test "x$build_alias" = x; then
654     cross_compiling=maybe
655     echo "$as_me: WARNING: If you wanted to set the --build type, don't use --host.
656     If a cross compiler is detected then cross compile mode will be used." >&2
657   elif test "x$build_alias" != "x$host_alias"; then
658     cross_compiling=yes
659   fi
660 fi
661
662 ac_tool_prefix=
663 test -n "$host_alias" && ac_tool_prefix=$host_alias-
664
665 test "$silent" = yes && exec 6>/dev/null
666
667
668 # Find the source files, if location was not specified.
669 if test -z "$srcdir"; then
670   ac_srcdir_defaulted=yes
671   # Try the directory containing this script, then its parent.
672   ac_confdir=`(dirname "$0") 2>/dev/null ||
673 $as_expr X"$0" : 'X\(.*[^/]\)//*[^/][^/]*/*$' \| \
674          X"$0" : 'X\(//\)[^/]' \| \
675          X"$0" : 'X\(//\)$' \| \
676          X"$0" : 'X\(/\)' \| \
677          .     : '\(.\)' 2>/dev/null ||
678 echo X"$0" |
679     sed '/^X\(.*[^/]\)\/\/*[^/][^/]*\/*$/{ s//\1/; q; }
680           /^X\(\/\/\)[^/].*/{ s//\1/; q; }
681           /^X\(\/\/\)$/{ s//\1/; q; }
682           /^X\(\/\).*/{ s//\1/; q; }
683           s/.*/./; q'`
684   srcdir=$ac_confdir
685   if test ! -r $srcdir/$ac_unique_file; then
686     srcdir=..
687   fi
688 else
689   ac_srcdir_defaulted=no
690 fi
691 if test ! -r $srcdir/$ac_unique_file; then
692   if test "$ac_srcdir_defaulted" = yes; then
693     { echo "$as_me: error: cannot find sources ($ac_unique_file) in $ac_confdir or .." >&2
694    { (exit 1); exit 1; }; }
695   else
696     { echo "$as_me: error: cannot find sources ($ac_unique_file) in $srcdir" >&2
697    { (exit 1); exit 1; }; }
698   fi
699 fi
700 (cd $srcdir && test -r ./$ac_unique_file) 2>/dev/null ||
701   { echo "$as_me: error: sources are in $srcdir, but \`cd $srcdir' does not work" >&2
702    { (exit 1); exit 1; }; }
703 srcdir=`echo "$srcdir" | sed 's%\([^\\/]\)[\\/]*$%\1%'`
704 ac_env_build_alias_set=${build_alias+set}
705 ac_env_build_alias_value=$build_alias
706 ac_cv_env_build_alias_set=${build_alias+set}
707 ac_cv_env_build_alias_value=$build_alias
708 ac_env_host_alias_set=${host_alias+set}
709 ac_env_host_alias_value=$host_alias
710 ac_cv_env_host_alias_set=${host_alias+set}
711 ac_cv_env_host_alias_value=$host_alias
712 ac_env_target_alias_set=${target_alias+set}
713 ac_env_target_alias_value=$target_alias
714 ac_cv_env_target_alias_set=${target_alias+set}
715 ac_cv_env_target_alias_value=$target_alias
716
717 #
718 # Report the --help message.
719 #
720 if test "$ac_init_help" = "long"; then
721   # Omit some internal or obsolete options to make the list less imposing.
722   # This message is too long to be a string in the A/UX 3.1 sh.
723   cat <<_ACEOF
724 \`configure' configures this package to adapt to many kinds of systems.
725
726 Usage: $0 [OPTION]... [VAR=VALUE]...
727
728 To assign environment variables (e.g., CC, CFLAGS...), specify them as
729 VAR=VALUE.  See below for descriptions of some of the useful variables.
730
731 Defaults for the options are specified in brackets.
732
733 Configuration:
734   -h, --help              display this help and exit
735       --help=short        display options specific to this package
736       --help=recursive    display the short help of all the included packages
737   -V, --version           display version information and exit
738   -q, --quiet, --silent   do not print \`checking...' messages
739       --cache-file=FILE   cache test results in FILE [disabled]
740   -C, --config-cache      alias for \`--cache-file=config.cache'
741   -n, --no-create         do not create output files
742       --srcdir=DIR        find the sources in DIR [configure dir or \`..']
743
744 _ACEOF
745
746   cat <<_ACEOF
747 Installation directories:
748   --prefix=PREFIX         install architecture-independent files in PREFIX
749                           [$ac_default_prefix]
750   --exec-prefix=EPREFIX   install architecture-dependent files in EPREFIX
751                           [PREFIX]
752
753 By default, \`make install' will install all the files in
754 \`$ac_default_prefix/bin', \`$ac_default_prefix/lib' etc.  You can specify
755 an installation prefix other than \`$ac_default_prefix' using \`--prefix',
756 for instance \`--prefix=\$HOME'.
757
758 For better control, use the options below.
759
760 Fine tuning of the installation directories:
761   --bindir=DIR           user executables [EPREFIX/bin]
762   --sbindir=DIR          system admin executables [EPREFIX/sbin]
763   --libexecdir=DIR       program executables [EPREFIX/libexec]
764   --datadir=DIR          read-only architecture-independent data [PREFIX/share]
765   --sysconfdir=DIR       read-only single-machine data [PREFIX/etc]
766   --sharedstatedir=DIR   modifiable architecture-independent data [PREFIX/com]
767   --localstatedir=DIR    modifiable single-machine data [PREFIX/var]
768   --libdir=DIR           object code libraries [EPREFIX/lib]
769   --includedir=DIR       C header files [PREFIX/include]
770   --oldincludedir=DIR    C header files for non-gcc [/usr/include]
771   --infodir=DIR          info documentation [PREFIX/info]
772   --mandir=DIR           man documentation [PREFIX/man]
773 _ACEOF
774
775   cat <<\_ACEOF
776 _ACEOF
777 fi
778
779 if test -n "$ac_init_help"; then
780
781   cat <<\_ACEOF
782
783 Optional Packages:
784   --with-PACKAGE[=ARG]    use PACKAGE [ARG=yes]
785   --without-PACKAGE       do not use PACKAGE (same as --with-PACKAGE=no)
786   --with-tcl=DIR          use Tcl $DEF_VER binaries from DIR
787
788 _ACEOF
789 fi
790
791 if test "$ac_init_help" = "recursive"; then
792   # If there are subdirs, report their specific --help.
793   ac_popdir=`pwd`
794   for ac_dir in : $ac_subdirs_all; do test "x$ac_dir" = x: && continue
795     test -d $ac_dir || continue
796     ac_builddir=.
797
798 if test "$ac_dir" != .; then
799   ac_dir_suffix=/`echo "$ac_dir" | sed 's,^\.[\\/],,'`
800   # A "../" for each directory in $ac_dir_suffix.
801   ac_top_builddir=`echo "$ac_dir_suffix" | sed 's,/[^\\/]*,../,g'`
802 else
803   ac_dir_suffix= ac_top_builddir=
804 fi
805
806 case $srcdir in
807   .)  # No --srcdir option.  We are building in place.
808     ac_srcdir=.
809     if test -z "$ac_top_builddir"; then
810        ac_top_srcdir=.
811     else
812        ac_top_srcdir=`echo $ac_top_builddir | sed 's,/$,,'`
813     fi ;;
814   [\\/]* | ?:[\\/]* )  # Absolute path.
815     ac_srcdir=$srcdir$ac_dir_suffix;
816     ac_top_srcdir=$srcdir ;;
817   *) # Relative path.
818     ac_srcdir=$ac_top_builddir$srcdir$ac_dir_suffix
819     ac_top_srcdir=$ac_top_builddir$srcdir ;;
820 esac
821
822 # Do not use `cd foo && pwd` to compute absolute paths, because
823 # the directories may not exist.
824 case `pwd` in
825 .) ac_abs_builddir="$ac_dir";;
826 *)
827   case "$ac_dir" in
828   .) ac_abs_builddir=`pwd`;;
829   [\\/]* | ?:[\\/]* ) ac_abs_builddir="$ac_dir";;
830   *) ac_abs_builddir=`pwd`/"$ac_dir";;
831   esac;;
832 esac
833 case $ac_abs_builddir in
834 .) ac_abs_top_builddir=${ac_top_builddir}.;;
835 *)
836   case ${ac_top_builddir}. in
837   .) ac_abs_top_builddir=$ac_abs_builddir;;
838   [\\/]* | ?:[\\/]* ) ac_abs_top_builddir=${ac_top_builddir}.;;
839   *) ac_abs_top_builddir=$ac_abs_builddir/${ac_top_builddir}.;;
840   esac;;
841 esac
842 case $ac_abs_builddir in
843 .) ac_abs_srcdir=$ac_srcdir;;
844 *)
845   case $ac_srcdir in
846   .) ac_abs_srcdir=$ac_abs_builddir;;
847   [\\/]* | ?:[\\/]* ) ac_abs_srcdir=$ac_srcdir;;
848   *) ac_abs_srcdir=$ac_abs_builddir/$ac_srcdir;;
849   esac;;
850 esac
851 case $ac_abs_builddir in
852 .) ac_abs_top_srcdir=$ac_top_srcdir;;
853 *)
854   case $ac_top_srcdir in
855   .) ac_abs_top_srcdir=$ac_abs_builddir;;
856   [\\/]* | ?:[\\/]* ) ac_abs_top_srcdir=$ac_top_srcdir;;
857   *) ac_abs_top_srcdir=$ac_abs_builddir/$ac_top_srcdir;;
858   esac;;
859 esac
860
861     cd $ac_dir
862     # Check for guested configure; otherwise get Cygnus style configure.
863     if test -f $ac_srcdir/configure.gnu; then
864       echo
865       $SHELL $ac_srcdir/configure.gnu  --help=recursive
866     elif test -f $ac_srcdir/configure; then
867       echo
868       $SHELL $ac_srcdir/configure  --help=recursive
869     elif test -f $ac_srcdir/configure.ac ||
870            test -f $ac_srcdir/configure.in; then
871       echo
872       $ac_configure --help
873     else
874       echo "$as_me: WARNING: no configuration information is in $ac_dir" >&2
875     fi
876     cd $ac_popdir
877   done
878 fi
879
880 test -n "$ac_init_help" && exit 0
881 if $ac_init_version; then
882   cat <<\_ACEOF
883
884 Copyright (C) 2003 Free Software Foundation, Inc.
885 This configure script is free software; the Free Software Foundation
886 gives unlimited permission to copy, distribute and modify it.
887 _ACEOF
888   exit 0
889 fi
890 exec 5>config.log
891 cat >&5 <<_ACEOF
892 This file contains any messages produced by compilers while
893 running configure, to aid debugging if configure makes a mistake.
894
895 It was created by $as_me, which was
896 generated by GNU Autoconf 2.59.  Invocation command line was
897
898   $ $0 $@
899
900 _ACEOF
901 {
902 cat <<_ASUNAME
903 ## --------- ##
904 ## Platform. ##
905 ## --------- ##
906
907 hostname = `(hostname || uname -n) 2>/dev/null | sed 1q`
908 uname -m = `(uname -m) 2>/dev/null || echo unknown`
909 uname -r = `(uname -r) 2>/dev/null || echo unknown`
910 uname -s = `(uname -s) 2>/dev/null || echo unknown`
911 uname -v = `(uname -v) 2>/dev/null || echo unknown`
912
913 /usr/bin/uname -p = `(/usr/bin/uname -p) 2>/dev/null || echo unknown`
914 /bin/uname -X     = `(/bin/uname -X) 2>/dev/null     || echo unknown`
915
916 /bin/arch              = `(/bin/arch) 2>/dev/null              || echo unknown`
917 /usr/bin/arch -k       = `(/usr/bin/arch -k) 2>/dev/null       || echo unknown`
918 /usr/convex/getsysinfo = `(/usr/convex/getsysinfo) 2>/dev/null || echo unknown`
919 hostinfo               = `(hostinfo) 2>/dev/null               || echo unknown`
920 /bin/machine           = `(/bin/machine) 2>/dev/null           || echo unknown`
921 /usr/bin/oslevel       = `(/usr/bin/oslevel) 2>/dev/null       || echo unknown`
922 /bin/universe          = `(/bin/universe) 2>/dev/null          || echo unknown`
923
924 _ASUNAME
925
926 as_save_IFS=$IFS; IFS=$PATH_SEPARATOR
927 for as_dir in $PATH
928 do
929   IFS=$as_save_IFS
930   test -z "$as_dir" && as_dir=.
931   echo "PATH: $as_dir"
932 done
933
934 } >&5
935
936 cat >&5 <<_ACEOF
937
938
939 ## ----------- ##
940 ## Core tests. ##
941 ## ----------- ##
942
943 _ACEOF
944
945
946 # Keep a trace of the command line.
947 # Strip out --no-create and --no-recursion so they do not pile up.
948 # Strip out --silent because we don't want to record it for future runs.
949 # Also quote any args containing shell meta-characters.
950 # Make two passes to allow for proper duplicate-argument suppression.
951 ac_configure_args=
952 ac_configure_args0=
953 ac_configure_args1=
954 ac_sep=
955 ac_must_keep_next=false
956 for ac_pass in 1 2
957 do
958   for ac_arg
959   do
960     case $ac_arg in
961     -no-create | --no-c* | -n | -no-recursion | --no-r*) continue ;;
962     -q | -quiet | --quiet | --quie | --qui | --qu | --q \
963     | -silent | --silent | --silen | --sile | --sil)
964       continue ;;
965     *" "*|*"    "*|*[\[\]\~\#\$\^\&\*\(\)\{\}\\\|\;\<\>\?\"\']*)
966       ac_arg=`echo "$ac_arg" | sed "s/'/'\\\\\\\\''/g"` ;;
967     esac
968     case $ac_pass in
969     1) ac_configure_args0="$ac_configure_args0 '$ac_arg'" ;;
970     2)
971       ac_configure_args1="$ac_configure_args1 '$ac_arg'"
972       if test $ac_must_keep_next = true; then
973         ac_must_keep_next=false # Got value, back to normal.
974       else
975         case $ac_arg in
976           *=* | --config-cache | -C | -disable-* | --disable-* \
977           | -enable-* | --enable-* | -gas | --g* | -nfp | --nf* \
978           | -q | -quiet | --q* | -silent | --sil* | -v | -verb* \
979           | -with-* | --with-* | -without-* | --without-* | --x)
980             case "$ac_configure_args0 " in
981               "$ac_configure_args1"*" '$ac_arg' "* ) continue ;;
982             esac
983             ;;
984           -* ) ac_must_keep_next=true ;;
985         esac
986       fi
987       ac_configure_args="$ac_configure_args$ac_sep'$ac_arg'"
988       # Get rid of the leading space.
989       ac_sep=" "
990       ;;
991     esac
992   done
993 done
994 $as_unset ac_configure_args0 || test "${ac_configure_args0+set}" != set || { ac_configure_args0=; export ac_configure_args0; }
995 $as_unset ac_configure_args1 || test "${ac_configure_args1+set}" != set || { ac_configure_args1=; export ac_configure_args1; }
996
997 # When interrupted or exit'd, cleanup temporary files, and complete
998 # config.log.  We remove comments because anyway the quotes in there
999 # would cause problems or look ugly.
1000 # WARNING: Be sure not to use single quotes in there, as some shells,
1001 # such as our DU 5.0 friend, will then `close' the trap.
1002 trap 'exit_status=$?
1003   # Save into config.log some information that might help in debugging.
1004   {
1005     echo
1006
1007     cat <<\_ASBOX
1008 ## ---------------- ##
1009 ## Cache variables. ##
1010 ## ---------------- ##
1011 _ASBOX
1012     echo
1013     # The following way of writing the cache mishandles newlines in values,
1014 {
1015   (set) 2>&1 |
1016     case `(ac_space='"'"' '"'"'; set | grep ac_space) 2>&1` in
1017     *ac_space=\ *)
1018       sed -n \
1019         "s/'"'"'/'"'"'\\\\'"'"''"'"'/g;
1020           s/^\\([_$as_cr_alnum]*_cv_[_$as_cr_alnum]*\\)=\\(.*\\)/\\1='"'"'\\2'"'"'/p"
1021       ;;
1022     *)
1023       sed -n \
1024         "s/^\\([_$as_cr_alnum]*_cv_[_$as_cr_alnum]*\\)=\\(.*\\)/\\1=\\2/p"
1025       ;;
1026     esac;
1027 }
1028     echo
1029
1030     cat <<\_ASBOX
1031 ## ----------------- ##
1032 ## Output variables. ##
1033 ## ----------------- ##
1034 _ASBOX
1035     echo
1036     for ac_var in $ac_subst_vars
1037     do
1038       eval ac_val=$`echo $ac_var`
1039       echo "$ac_var='"'"'$ac_val'"'"'"
1040     done | sort
1041     echo
1042
1043     if test -n "$ac_subst_files"; then
1044       cat <<\_ASBOX
1045 ## ------------- ##
1046 ## Output files. ##
1047 ## ------------- ##
1048 _ASBOX
1049       echo
1050       for ac_var in $ac_subst_files
1051       do
1052         eval ac_val=$`echo $ac_var`
1053         echo "$ac_var='"'"'$ac_val'"'"'"
1054       done | sort
1055       echo
1056     fi
1057
1058     if test -s confdefs.h; then
1059       cat <<\_ASBOX
1060 ## ----------- ##
1061 ## confdefs.h. ##
1062 ## ----------- ##
1063 _ASBOX
1064       echo
1065       sed "/^$/d" confdefs.h | sort
1066       echo
1067     fi
1068     test "$ac_signal" != 0 &&
1069       echo "$as_me: caught signal $ac_signal"
1070     echo "$as_me: exit $exit_status"
1071   } >&5
1072   rm -f core *.core &&
1073   rm -rf conftest* confdefs* conf$$* $ac_clean_files &&
1074     exit $exit_status
1075      ' 0
1076 for ac_signal in 1 2 13 15; do
1077   trap 'ac_signal='$ac_signal'; { (exit 1); exit 1; }' $ac_signal
1078 done
1079 ac_signal=0
1080
1081 # confdefs.h avoids OS command line length limits that DEFS can exceed.
1082 rm -rf conftest* confdefs.h
1083 # AIX cpp loses on an empty file, so make sure it contains at least a newline.
1084 echo >confdefs.h
1085
1086 # Predefined preprocessor variables.
1087
1088 cat >>confdefs.h <<_ACEOF
1089 #define PACKAGE_NAME "$PACKAGE_NAME"
1090 _ACEOF
1091
1092
1093 cat >>confdefs.h <<_ACEOF
1094 #define PACKAGE_TARNAME "$PACKAGE_TARNAME"
1095 _ACEOF
1096
1097
1098 cat >>confdefs.h <<_ACEOF
1099 #define PACKAGE_VERSION "$PACKAGE_VERSION"
1100 _ACEOF
1101
1102
1103 cat >>confdefs.h <<_ACEOF
1104 #define PACKAGE_STRING "$PACKAGE_STRING"
1105 _ACEOF
1106
1107
1108 cat >>confdefs.h <<_ACEOF
1109 #define PACKAGE_BUGREPORT "$PACKAGE_BUGREPORT"
1110 _ACEOF
1111
1112
1113 # Let the site file select an alternate cache file if it wants to.
1114 # Prefer explicitly selected file to automatically selected ones.
1115 if test -z "$CONFIG_SITE"; then
1116   if test "x$prefix" != xNONE; then
1117     CONFIG_SITE="$prefix/share/config.site $prefix/etc/config.site"
1118   else
1119     CONFIG_SITE="$ac_default_prefix/share/config.site $ac_default_prefix/etc/config.site"
1120   fi
1121 fi
1122 for ac_site_file in $CONFIG_SITE; do
1123   if test -r "$ac_site_file"; then
1124     { echo "$as_me:$LINENO: loading site script $ac_site_file" >&5
1125 echo "$as_me: loading site script $ac_site_file" >&6;}
1126     sed 's/^/| /' "$ac_site_file" >&5
1127     . "$ac_site_file"
1128   fi
1129 done
1130
1131 if test -r "$cache_file"; then
1132   # Some versions of bash will fail to source /dev/null (special
1133   # files actually), so we avoid doing that.
1134   if test -f "$cache_file"; then
1135     { echo "$as_me:$LINENO: loading cache $cache_file" >&5
1136 echo "$as_me: loading cache $cache_file" >&6;}
1137     case $cache_file in
1138       [\\/]* | ?:[\\/]* ) . $cache_file;;
1139       *)                      . ./$cache_file;;
1140     esac
1141   fi
1142 else
1143   { echo "$as_me:$LINENO: creating cache $cache_file" >&5
1144 echo "$as_me: creating cache $cache_file" >&6;}
1145   >$cache_file
1146 fi
1147
1148 # Check that the precious variables saved in the cache have kept the same
1149 # value.
1150 ac_cache_corrupted=false
1151 for ac_var in `(set) 2>&1 |
1152                sed -n 's/^ac_env_\([a-zA-Z_0-9]*\)_set=.*/\1/p'`; do
1153   eval ac_old_set=\$ac_cv_env_${ac_var}_set
1154   eval ac_new_set=\$ac_env_${ac_var}_set
1155   eval ac_old_val="\$ac_cv_env_${ac_var}_value"
1156   eval ac_new_val="\$ac_env_${ac_var}_value"
1157   case $ac_old_set,$ac_new_set in
1158     set,)
1159       { echo "$as_me:$LINENO: error: \`$ac_var' was set to \`$ac_old_val' in the previous run" >&5
1160 echo "$as_me: error: \`$ac_var' was set to \`$ac_old_val' in the previous run" >&2;}
1161       ac_cache_corrupted=: ;;
1162     ,set)
1163       { echo "$as_me:$LINENO: error: \`$ac_var' was not set in the previous run" >&5
1164 echo "$as_me: error: \`$ac_var' was not set in the previous run" >&2;}
1165       ac_cache_corrupted=: ;;
1166     ,);;
1167     *)
1168       if test "x$ac_old_val" != "x$ac_new_val"; then
1169         { echo "$as_me:$LINENO: error: \`$ac_var' has changed since the previous run:" >&5
1170 echo "$as_me: error: \`$ac_var' has changed since the previous run:" >&2;}
1171         { echo "$as_me:$LINENO:   former value:  $ac_old_val" >&5
1172 echo "$as_me:   former value:  $ac_old_val" >&2;}
1173         { echo "$as_me:$LINENO:   current value: $ac_new_val" >&5
1174 echo "$as_me:   current value: $ac_new_val" >&2;}
1175         ac_cache_corrupted=:
1176       fi;;
1177   esac
1178   # Pass precious variables to config.status.
1179   if test "$ac_new_set" = set; then
1180     case $ac_new_val in
1181     *" "*|*"    "*|*[\[\]\~\#\$\^\&\*\(\)\{\}\\\|\;\<\>\?\"\']*)
1182       ac_arg=$ac_var=`echo "$ac_new_val" | sed "s/'/'\\\\\\\\''/g"` ;;
1183     *) ac_arg=$ac_var=$ac_new_val ;;
1184     esac
1185     case " $ac_configure_args " in
1186       *" '$ac_arg' "*) ;; # Avoid dups.  Use of quotes ensures accuracy.
1187       *) ac_configure_args="$ac_configure_args '$ac_arg'" ;;
1188     esac
1189   fi
1190 done
1191 if $ac_cache_corrupted; then
1192   { echo "$as_me:$LINENO: error: changes in the environment can compromise the build" >&5
1193 echo "$as_me: error: changes in the environment can compromise the build" >&2;}
1194   { { echo "$as_me:$LINENO: error: run \`make distclean' and/or \`rm $cache_file' and start over" >&5
1195 echo "$as_me: error: run \`make distclean' and/or \`rm $cache_file' and start over" >&2;}
1196    { (exit 1); exit 1; }; }
1197 fi
1198
1199 ac_ext=c
1200 ac_cpp='$CPP $CPPFLAGS'
1201 ac_compile='$CC -c $CFLAGS $CPPFLAGS conftest.$ac_ext >&5'
1202 ac_link='$CC -o conftest$ac_exeext $CFLAGS $CPPFLAGS $LDFLAGS conftest.$ac_ext $LIBS >&5'
1203 ac_compiler_gnu=$ac_cv_c_compiler_gnu
1204
1205
1206
1207
1208
1209
1210
1211
1212
1213
1214
1215
1216
1217
1218
1219
1220
1221
1222
1223 # RCS: @(#) $Id$
1224
1225 # Recover information that Tcl computed with its configure script.
1226
1227 #--------------------------------------------------------------------
1228 #       See if there was a command-line option for where Tcl is;  if
1229 #       not, assume that its top-level directory is a sibling of ours.
1230 #--------------------------------------------------------------------
1231
1232 DEF_VER=8.4
1233
1234
1235 # Check whether --with-tcl or --without-tcl was given.
1236 if test "${with_tcl+set}" = set; then
1237   withval="$with_tcl"
1238   TCL_BIN_DIR=$withval
1239 else
1240   TCL_BIN_DIR=`cd ../../tcl$DEF_VER$TCL_PATCH_LEVEL/unix; pwd`
1241 fi;
1242 if test ! -d $TCL_BIN_DIR; then
1243     { { echo "$as_me:$LINENO: error: Tcl directory $TCL_BIN_DIR doesn't exist" >&5
1244 echo "$as_me: error: Tcl directory $TCL_BIN_DIR doesn't exist" >&2;}
1245    { (exit 1); exit 1; }; }
1246 fi
1247 if test ! -f $TCL_BIN_DIR/tclConfig.sh; then
1248     { { echo "$as_me:$LINENO: error: There's no tclConfig.sh in $TCL_BIN_DIR;  perhaps you didn't specify the Tcl *build* directory (not the toplevel Tcl directory) or you forgot to configure Tcl?" >&5
1249 echo "$as_me: error: There's no tclConfig.sh in $TCL_BIN_DIR;  perhaps you didn't specify the Tcl *build* directory (not the toplevel Tcl directory) or you forgot to configure Tcl?" >&2;}
1250    { (exit 1); exit 1; }; }
1251 fi
1252
1253 . $TCL_BIN_DIR/tclConfig.sh
1254
1255 TCL_WIN_VERSION=$TCL_MAJOR_VERSION$TCL_MINOR_VERSION
1256
1257 CC=$TCL_CC
1258
1259
1260
1261
1262
1263
1264                     ac_config_files="$ac_config_files Makefile tcl.hpj"
1265 cat >confcache <<\_ACEOF
1266 # This file is a shell script that caches the results of configure
1267 # tests run on this system so they can be shared between configure
1268 # scripts and configure runs, see configure's option --config-cache.
1269 # It is not useful on other systems.  If it contains results you don't
1270 # want to keep, you may remove or edit it.
1271 #
1272 # config.status only pays attention to the cache file if you give it
1273 # the --recheck option to rerun configure.
1274 #
1275 # `ac_cv_env_foo' variables (set or unset) will be overridden when
1276 # loading this file, other *unset* `ac_cv_foo' will be assigned the
1277 # following values.
1278
1279 _ACEOF
1280
1281 # The following way of writing the cache mishandles newlines in values,
1282 # but we know of no workaround that is simple, portable, and efficient.
1283 # So, don't put newlines in cache variables' values.
1284 # Ultrix sh set writes to stderr and can't be redirected directly,
1285 # and sets the high bit in the cache file unless we assign to the vars.
1286 {
1287   (set) 2>&1 |
1288     case `(ac_space=' '; set | grep ac_space) 2>&1` in
1289     *ac_space=\ *)
1290       # `set' does not quote correctly, so add quotes (double-quote
1291       # substitution turns \\\\ into \\, and sed turns \\ into \).
1292       sed -n \
1293         "s/'/'\\\\''/g;
1294           s/^\\([_$as_cr_alnum]*_cv_[_$as_cr_alnum]*\\)=\\(.*\\)/\\1='\\2'/p"
1295       ;;
1296     *)
1297       # `set' quotes correctly as required by POSIX, so do not add quotes.
1298       sed -n \
1299         "s/^\\([_$as_cr_alnum]*_cv_[_$as_cr_alnum]*\\)=\\(.*\\)/\\1=\\2/p"
1300       ;;
1301     esac;
1302 } |
1303   sed '
1304      t clear
1305      : clear
1306      s/^\([^=]*\)=\(.*[{}].*\)$/test "${\1+set}" = set || &/
1307      t end
1308      /^ac_cv_env/!s/^\([^=]*\)=\(.*\)$/\1=${\1=\2}/
1309      : end' >>confcache
1310 if diff $cache_file confcache >/dev/null 2>&1; then :; else
1311   if test -w $cache_file; then
1312     test "x$cache_file" != "x/dev/null" && echo "updating cache $cache_file"
1313     cat confcache >$cache_file
1314   else
1315     echo "not updating unwritable cache $cache_file"
1316   fi
1317 fi
1318 rm -f confcache
1319
1320 test "x$prefix" = xNONE && prefix=$ac_default_prefix
1321 # Let make expand exec_prefix.
1322 test "x$exec_prefix" = xNONE && exec_prefix='${prefix}'
1323
1324 # VPATH may cause trouble with some makes, so we remove $(srcdir),
1325 # ${srcdir} and @srcdir@ from VPATH if srcdir is ".", strip leading and
1326 # trailing colons and then remove the whole line if VPATH becomes empty
1327 # (actually we leave an empty line to preserve line numbers).
1328 if test "x$srcdir" = x.; then
1329   ac_vpsub='/^[  ]*VPATH[        ]*=/{
1330 s/:*\$(srcdir):*/:/;
1331 s/:*\${srcdir}:*/:/;
1332 s/:*@srcdir@:*/:/;
1333 s/^\([^=]*=[     ]*\):*/\1/;
1334 s/:*$//;
1335 s/^[^=]*=[       ]*$//;
1336 }'
1337 fi
1338
1339 # Transform confdefs.h into DEFS.
1340 # Protect against shell expansion while executing Makefile rules.
1341 # Protect against Makefile macro expansion.
1342 #
1343 # If the first sed substitution is executed (which looks for macros that
1344 # take arguments), then we branch to the quote section.  Otherwise,
1345 # look for a macro that doesn't take arguments.
1346 cat >confdef2opt.sed <<\_ACEOF
1347 t clear
1348 : clear
1349 s,^[     ]*#[    ]*define[       ][      ]*\([^  (][^    (]*([^)]*)\)[   ]*\(.*\),-D\1=\2,g
1350 t quote
1351 s,^[     ]*#[    ]*define[       ][      ]*\([^  ][^     ]*\)[   ]*\(.*\),-D\1=\2,g
1352 t quote
1353 d
1354 : quote
1355 s,[      `~#$^&*(){}\\|;'"<>?],\\&,g
1356 s,\[,\\&,g
1357 s,\],\\&,g
1358 s,\$,$$,g
1359 p
1360 _ACEOF
1361 # We use echo to avoid assuming a particular line-breaking character.
1362 # The extra dot is to prevent the shell from consuming trailing
1363 # line-breaks from the sub-command output.  A line-break within
1364 # single-quotes doesn't work because, if this script is created in a
1365 # platform that uses two characters for line-breaks (e.g., DOS), tr
1366 # would break.
1367 ac_LF_and_DOT=`echo; echo .`
1368 DEFS=`sed -n -f confdef2opt.sed confdefs.h | tr "$ac_LF_and_DOT" ' .'`
1369 rm -f confdef2opt.sed
1370
1371
1372 ac_libobjs=
1373 ac_ltlibobjs=
1374 for ac_i in : $LIBOBJS; do test "x$ac_i" = x: && continue
1375   # 1. Remove the extension, and $U if already installed.
1376   ac_i=`echo "$ac_i" |
1377          sed 's/\$U\././;s/\.o$//;s/\.obj$//'`
1378   # 2. Add them.
1379   ac_libobjs="$ac_libobjs $ac_i\$U.$ac_objext"
1380   ac_ltlibobjs="$ac_ltlibobjs $ac_i"'$U.lo'
1381 done
1382 LIBOBJS=$ac_libobjs
1383
1384 LTLIBOBJS=$ac_ltlibobjs
1385
1386
1387
1388 : ${CONFIG_STATUS=./config.status}
1389 ac_clean_files_save=$ac_clean_files
1390 ac_clean_files="$ac_clean_files $CONFIG_STATUS"
1391 { echo "$as_me:$LINENO: creating $CONFIG_STATUS" >&5
1392 echo "$as_me: creating $CONFIG_STATUS" >&6;}
1393 cat >$CONFIG_STATUS <<_ACEOF
1394 #! $SHELL
1395 # Generated by $as_me.
1396 # Run this file to recreate the current configuration.
1397 # Compiler output produced by configure, useful for debugging
1398 # configure, is in config.log if it exists.
1399
1400 debug=false
1401 ac_cs_recheck=false
1402 ac_cs_silent=false
1403 SHELL=\${CONFIG_SHELL-$SHELL}
1404 _ACEOF
1405
1406 cat >>$CONFIG_STATUS <<\_ACEOF
1407 ## --------------------- ##
1408 ## M4sh Initialization.  ##
1409 ## --------------------- ##
1410
1411 # Be Bourne compatible
1412 if test -n "${ZSH_VERSION+set}" && (emulate sh) >/dev/null 2>&1; then
1413   emulate sh
1414   NULLCMD=:
1415   # Zsh 3.x and 4.x performs word splitting on ${1+"$@"}, which
1416   # is contrary to our usage.  Disable this feature.
1417   alias -g '${1+"$@"}'='"$@"'
1418 elif test -n "${BASH_VERSION+set}" && (set -o posix) >/dev/null 2>&1; then
1419   set -o posix
1420 fi
1421 DUALCASE=1; export DUALCASE # for MKS sh
1422
1423 # Support unset when possible.
1424 if ( (MAIL=60; unset MAIL) || exit) >/dev/null 2>&1; then
1425   as_unset=unset
1426 else
1427   as_unset=false
1428 fi
1429
1430
1431 # Work around bugs in pre-3.0 UWIN ksh.
1432 $as_unset ENV MAIL MAILPATH
1433 PS1='$ '
1434 PS2='> '
1435 PS4='+ '
1436
1437 # NLS nuisances.
1438 for as_var in \
1439   LANG LANGUAGE LC_ADDRESS LC_ALL LC_COLLATE LC_CTYPE LC_IDENTIFICATION \
1440   LC_MEASUREMENT LC_MESSAGES LC_MONETARY LC_NAME LC_NUMERIC LC_PAPER \
1441   LC_TELEPHONE LC_TIME
1442 do
1443   if (set +x; test -z "`(eval $as_var=C; export $as_var) 2>&1`"); then
1444     eval $as_var=C; export $as_var
1445   else
1446     $as_unset $as_var
1447   fi
1448 done
1449
1450 # Required to use basename.
1451 if expr a : '\(a\)' >/dev/null 2>&1; then
1452   as_expr=expr
1453 else
1454   as_expr=false
1455 fi
1456
1457 if (basename /) >/dev/null 2>&1 && test "X`basename / 2>&1`" = "X/"; then
1458   as_basename=basename
1459 else
1460   as_basename=false
1461 fi
1462
1463
1464 # Name of the executable.
1465 as_me=`$as_basename "$0" ||
1466 $as_expr X/"$0" : '.*/\([^/][^/]*\)/*$' \| \
1467          X"$0" : 'X\(//\)$' \| \
1468          X"$0" : 'X\(/\)$' \| \
1469          .     : '\(.\)' 2>/dev/null ||
1470 echo X/"$0" |
1471     sed '/^.*\/\([^/][^/]*\)\/*$/{ s//\1/; q; }
1472           /^X\/\(\/\/\)$/{ s//\1/; q; }
1473           /^X\/\(\/\).*/{ s//\1/; q; }
1474           s/.*/./; q'`
1475
1476
1477 # PATH needs CR, and LINENO needs CR and PATH.
1478 # Avoid depending upon Character Ranges.
1479 as_cr_letters='abcdefghijklmnopqrstuvwxyz'
1480 as_cr_LETTERS='ABCDEFGHIJKLMNOPQRSTUVWXYZ'
1481 as_cr_Letters=$as_cr_letters$as_cr_LETTERS
1482 as_cr_digits='0123456789'
1483 as_cr_alnum=$as_cr_Letters$as_cr_digits
1484
1485 # The user is always right.
1486 if test "${PATH_SEPARATOR+set}" != set; then
1487   echo "#! /bin/sh" >conf$$.sh
1488   echo  "exit 0"   >>conf$$.sh
1489   chmod +x conf$$.sh
1490   if (PATH="/nonexistent;."; conf$$.sh) >/dev/null 2>&1; then
1491     PATH_SEPARATOR=';'
1492   else
1493     PATH_SEPARATOR=:
1494   fi
1495   rm -f conf$$.sh
1496 fi
1497
1498
1499   as_lineno_1=$LINENO
1500   as_lineno_2=$LINENO
1501   as_lineno_3=`(expr $as_lineno_1 + 1) 2>/dev/null`
1502   test "x$as_lineno_1" != "x$as_lineno_2" &&
1503   test "x$as_lineno_3"  = "x$as_lineno_2"  || {
1504   # Find who we are.  Look in the path if we contain no path at all
1505   # relative or not.
1506   case $0 in
1507     *[\\/]* ) as_myself=$0 ;;
1508     *) as_save_IFS=$IFS; IFS=$PATH_SEPARATOR
1509 for as_dir in $PATH
1510 do
1511   IFS=$as_save_IFS
1512   test -z "$as_dir" && as_dir=.
1513   test -r "$as_dir/$0" && as_myself=$as_dir/$0 && break
1514 done
1515
1516        ;;
1517   esac
1518   # We did not find ourselves, most probably we were run as `sh COMMAND'
1519   # in which case we are not to be found in the path.
1520   if test "x$as_myself" = x; then
1521     as_myself=$0
1522   fi
1523   if test ! -f "$as_myself"; then
1524     { { echo "$as_me:$LINENO: error: cannot find myself; rerun with an absolute path" >&5
1525 echo "$as_me: error: cannot find myself; rerun with an absolute path" >&2;}
1526    { (exit 1); exit 1; }; }
1527   fi
1528   case $CONFIG_SHELL in
1529   '')
1530     as_save_IFS=$IFS; IFS=$PATH_SEPARATOR
1531 for as_dir in /bin$PATH_SEPARATOR/usr/bin$PATH_SEPARATOR$PATH
1532 do
1533   IFS=$as_save_IFS
1534   test -z "$as_dir" && as_dir=.
1535   for as_base in sh bash ksh sh5; do
1536          case $as_dir in
1537          /*)
1538            if ("$as_dir/$as_base" -c '
1539   as_lineno_1=$LINENO
1540   as_lineno_2=$LINENO
1541   as_lineno_3=`(expr $as_lineno_1 + 1) 2>/dev/null`
1542   test "x$as_lineno_1" != "x$as_lineno_2" &&
1543   test "x$as_lineno_3"  = "x$as_lineno_2" ') 2>/dev/null; then
1544              $as_unset BASH_ENV || test "${BASH_ENV+set}" != set || { BASH_ENV=; export BASH_ENV; }
1545              $as_unset ENV || test "${ENV+set}" != set || { ENV=; export ENV; }
1546              CONFIG_SHELL=$as_dir/$as_base
1547              export CONFIG_SHELL
1548              exec "$CONFIG_SHELL" "$0" ${1+"$@"}
1549            fi;;
1550          esac
1551        done
1552 done
1553 ;;
1554   esac
1555
1556   # Create $as_me.lineno as a copy of $as_myself, but with $LINENO
1557   # uniformly replaced by the line number.  The first 'sed' inserts a
1558   # line-number line before each line; the second 'sed' does the real
1559   # work.  The second script uses 'N' to pair each line-number line
1560   # with the numbered line, and appends trailing '-' during
1561   # substitution so that $LINENO is not a special case at line end.
1562   # (Raja R Harinath suggested sed '=', and Paul Eggert wrote the
1563   # second 'sed' script.  Blame Lee E. McMahon for sed's syntax.  :-)
1564   sed '=' <$as_myself |
1565     sed '
1566       N
1567       s,$,-,
1568       : loop
1569       s,^\(['$as_cr_digits']*\)\(.*\)[$]LINENO\([^'$as_cr_alnum'_]\),\1\2\1\3,
1570       t loop
1571       s,-$,,
1572       s,^['$as_cr_digits']*\n,,
1573     ' >$as_me.lineno &&
1574   chmod +x $as_me.lineno ||
1575     { { echo "$as_me:$LINENO: error: cannot create $as_me.lineno; rerun with a POSIX shell" >&5
1576 echo "$as_me: error: cannot create $as_me.lineno; rerun with a POSIX shell" >&2;}
1577    { (exit 1); exit 1; }; }
1578
1579   # Don't try to exec as it changes $[0], causing all sort of problems
1580   # (the dirname of $[0] is not the place where we might find the
1581   # original and so on.  Autoconf is especially sensible to this).
1582   . ./$as_me.lineno
1583   # Exit status is that of the last command.
1584   exit
1585 }
1586
1587
1588 case `echo "testing\c"; echo 1,2,3`,`echo -n testing; echo 1,2,3` in
1589   *c*,-n*) ECHO_N= ECHO_C='
1590 ' ECHO_T='      ' ;;
1591   *c*,*  ) ECHO_N=-n ECHO_C= ECHO_T= ;;
1592   *)       ECHO_N= ECHO_C='\c' ECHO_T= ;;
1593 esac
1594
1595 if expr a : '\(a\)' >/dev/null 2>&1; then
1596   as_expr=expr
1597 else
1598   as_expr=false
1599 fi
1600
1601 rm -f conf$$ conf$$.exe conf$$.file
1602 echo >conf$$.file
1603 if ln -s conf$$.file conf$$ 2>/dev/null; then
1604   # We could just check for DJGPP; but this test a) works b) is more generic
1605   # and c) will remain valid once DJGPP supports symlinks (DJGPP 2.04).
1606   if test -f conf$$.exe; then
1607     # Don't use ln at all; we don't have any links
1608     as_ln_s='cp -p'
1609   else
1610     as_ln_s='ln -s'
1611   fi
1612 elif ln conf$$.file conf$$ 2>/dev/null; then
1613   as_ln_s=ln
1614 else
1615   as_ln_s='cp -p'
1616 fi
1617 rm -f conf$$ conf$$.exe conf$$.file
1618
1619 if mkdir -p . 2>/dev/null; then
1620   as_mkdir_p=:
1621 else
1622   test -d ./-p && rmdir ./-p
1623   as_mkdir_p=false
1624 fi
1625
1626 as_executable_p="test -f"
1627
1628 # Sed expression to map a string onto a valid CPP name.
1629 as_tr_cpp="eval sed 'y%*$as_cr_letters%P$as_cr_LETTERS%;s%[^_$as_cr_alnum]%_%g'"
1630
1631 # Sed expression to map a string onto a valid variable name.
1632 as_tr_sh="eval sed 'y%*+%pp%;s%[^_$as_cr_alnum]%_%g'"
1633
1634
1635 # IFS
1636 # We need space, tab and new line, in precisely that order.
1637 as_nl='
1638 '
1639 IFS="   $as_nl"
1640
1641 # CDPATH.
1642 $as_unset CDPATH
1643
1644 exec 6>&1
1645
1646 # Open the log real soon, to keep \$[0] and so on meaningful, and to
1647 # report actual input values of CONFIG_FILES etc. instead of their
1648 # values after options handling.  Logging --version etc. is OK.
1649 exec 5>>config.log
1650 {
1651   echo
1652   sed 'h;s/./-/g;s/^.../## /;s/...$/ ##/;p;x;p;x' <<_ASBOX
1653 ## Running $as_me. ##
1654 _ASBOX
1655 } >&5
1656 cat >&5 <<_CSEOF
1657
1658 This file was extended by $as_me, which was
1659 generated by GNU Autoconf 2.59.  Invocation command line was
1660
1661   CONFIG_FILES    = $CONFIG_FILES
1662   CONFIG_HEADERS  = $CONFIG_HEADERS
1663   CONFIG_LINKS    = $CONFIG_LINKS
1664   CONFIG_COMMANDS = $CONFIG_COMMANDS
1665   $ $0 $@
1666
1667 _CSEOF
1668 echo "on `(hostname || uname -n) 2>/dev/null | sed 1q`" >&5
1669 echo >&5
1670 _ACEOF
1671
1672 # Files that config.status was made for.
1673 if test -n "$ac_config_files"; then
1674   echo "config_files=\"$ac_config_files\"" >>$CONFIG_STATUS
1675 fi
1676
1677 if test -n "$ac_config_headers"; then
1678   echo "config_headers=\"$ac_config_headers\"" >>$CONFIG_STATUS
1679 fi
1680
1681 if test -n "$ac_config_links"; then
1682   echo "config_links=\"$ac_config_links\"" >>$CONFIG_STATUS
1683 fi
1684
1685 if test -n "$ac_config_commands"; then
1686   echo "config_commands=\"$ac_config_commands\"" >>$CONFIG_STATUS
1687 fi
1688
1689 cat >>$CONFIG_STATUS <<\_ACEOF
1690
1691 ac_cs_usage="\
1692 \`$as_me' instantiates files from templates according to the
1693 current configuration.
1694
1695 Usage: $0 [OPTIONS] [FILE]...
1696
1697   -h, --help       print this help, then exit
1698   -V, --version    print version number, then exit
1699   -q, --quiet      do not print progress messages
1700   -d, --debug      don't remove temporary files
1701       --recheck    update $as_me by reconfiguring in the same conditions
1702   --file=FILE[:TEMPLATE]
1703                    instantiate the configuration file FILE
1704
1705 Configuration files:
1706 $config_files
1707
1708 Report bugs to <bug-autoconf@gnu.org>."
1709 _ACEOF
1710
1711 cat >>$CONFIG_STATUS <<_ACEOF
1712 ac_cs_version="\\
1713 config.status
1714 configured by $0, generated by GNU Autoconf 2.59,
1715   with options \\"`echo "$ac_configure_args" | sed 's/[\\""\`\$]/\\\\&/g'`\\"
1716
1717 Copyright (C) 2003 Free Software Foundation, Inc.
1718 This config.status script is free software; the Free Software Foundation
1719 gives unlimited permission to copy, distribute and modify it."
1720 srcdir=$srcdir
1721 _ACEOF
1722
1723 cat >>$CONFIG_STATUS <<\_ACEOF
1724 # If no file are specified by the user, then we need to provide default
1725 # value.  By we need to know if files were specified by the user.
1726 ac_need_defaults=:
1727 while test $# != 0
1728 do
1729   case $1 in
1730   --*=*)
1731     ac_option=`expr "x$1" : 'x\([^=]*\)='`
1732     ac_optarg=`expr "x$1" : 'x[^=]*=\(.*\)'`
1733     ac_shift=:
1734     ;;
1735   -*)
1736     ac_option=$1
1737     ac_optarg=$2
1738     ac_shift=shift
1739     ;;
1740   *) # This is not an option, so the user has probably given explicit
1741      # arguments.
1742      ac_option=$1
1743      ac_need_defaults=false;;
1744   esac
1745
1746   case $ac_option in
1747   # Handling of the options.
1748 _ACEOF
1749 cat >>$CONFIG_STATUS <<\_ACEOF
1750   -recheck | --recheck | --rechec | --reche | --rech | --rec | --re | --r)
1751     ac_cs_recheck=: ;;
1752   --version | --vers* | -V )
1753     echo "$ac_cs_version"; exit 0 ;;
1754   --he | --h)
1755     # Conflict between --help and --header
1756     { { echo "$as_me:$LINENO: error: ambiguous option: $1
1757 Try \`$0 --help' for more information." >&5
1758 echo "$as_me: error: ambiguous option: $1
1759 Try \`$0 --help' for more information." >&2;}
1760    { (exit 1); exit 1; }; };;
1761   --help | --hel | -h )
1762     echo "$ac_cs_usage"; exit 0 ;;
1763   --debug | --d* | -d )
1764     debug=: ;;
1765   --file | --fil | --fi | --f )
1766     $ac_shift
1767     CONFIG_FILES="$CONFIG_FILES $ac_optarg"
1768     ac_need_defaults=false;;
1769   --header | --heade | --head | --hea )
1770     $ac_shift
1771     CONFIG_HEADERS="$CONFIG_HEADERS $ac_optarg"
1772     ac_need_defaults=false;;
1773   -q | -quiet | --quiet | --quie | --qui | --qu | --q \
1774   | -silent | --silent | --silen | --sile | --sil | --si | --s)
1775     ac_cs_silent=: ;;
1776
1777   # This is an error.
1778   -*) { { echo "$as_me:$LINENO: error: unrecognized option: $1
1779 Try \`$0 --help' for more information." >&5
1780 echo "$as_me: error: unrecognized option: $1
1781 Try \`$0 --help' for more information." >&2;}
1782    { (exit 1); exit 1; }; } ;;
1783
1784   *) ac_config_targets="$ac_config_targets $1" ;;
1785
1786   esac
1787   shift
1788 done
1789
1790 ac_configure_extra_args=
1791
1792 if $ac_cs_silent; then
1793   exec 6>/dev/null
1794   ac_configure_extra_args="$ac_configure_extra_args --silent"
1795 fi
1796
1797 _ACEOF
1798 cat >>$CONFIG_STATUS <<_ACEOF
1799 if \$ac_cs_recheck; then
1800   echo "running $SHELL $0 " $ac_configure_args \$ac_configure_extra_args " --no-create --no-recursion" >&6
1801   exec $SHELL $0 $ac_configure_args \$ac_configure_extra_args --no-create --no-recursion
1802 fi
1803
1804 _ACEOF
1805
1806
1807
1808
1809
1810 cat >>$CONFIG_STATUS <<\_ACEOF
1811 for ac_config_target in $ac_config_targets
1812 do
1813   case "$ac_config_target" in
1814   # Handling of arguments.
1815   "Makefile" ) CONFIG_FILES="$CONFIG_FILES Makefile" ;;
1816   "tcl.hpj" ) CONFIG_FILES="$CONFIG_FILES tcl.hpj" ;;
1817   *) { { echo "$as_me:$LINENO: error: invalid argument: $ac_config_target" >&5
1818 echo "$as_me: error: invalid argument: $ac_config_target" >&2;}
1819    { (exit 1); exit 1; }; };;
1820   esac
1821 done
1822
1823 # If the user did not use the arguments to specify the items to instantiate,
1824 # then the envvar interface is used.  Set only those that are not.
1825 # We use the long form for the default assignment because of an extremely
1826 # bizarre bug on SunOS 4.1.3.
1827 if $ac_need_defaults; then
1828   test "${CONFIG_FILES+set}" = set || CONFIG_FILES=$config_files
1829 fi
1830
1831 # Have a temporary directory for convenience.  Make it in the build tree
1832 # simply because there is no reason to put it here, and in addition,
1833 # creating and moving files from /tmp can sometimes cause problems.
1834 # Create a temporary directory, and hook for its removal unless debugging.
1835 $debug ||
1836 {
1837   trap 'exit_status=$?; rm -rf $tmp && exit $exit_status' 0
1838   trap '{ (exit 1); exit 1; }' 1 2 13 15
1839 }
1840
1841 # Create a (secure) tmp directory for tmp files.
1842
1843 {
1844   tmp=`(umask 077 && mktemp -d -q "./confstatXXXXXX") 2>/dev/null` &&
1845   test -n "$tmp" && test -d "$tmp"
1846 }  ||
1847 {
1848   tmp=./confstat$$-$RANDOM
1849   (umask 077 && mkdir $tmp)
1850 } ||
1851 {
1852    echo "$me: cannot create a temporary directory in ." >&2
1853    { (exit 1); exit 1; }
1854 }
1855
1856 _ACEOF
1857
1858 cat >>$CONFIG_STATUS <<_ACEOF
1859
1860 #
1861 # CONFIG_FILES section.
1862 #
1863
1864 # No need to generate the scripts if there are no CONFIG_FILES.
1865 # This happens for instance when ./config.status config.h
1866 if test -n "\$CONFIG_FILES"; then
1867   # Protect against being on the right side of a sed subst in config.status.
1868   sed 's/,@/@@/; s/@,/@@/; s/,;t t\$/@;t t/; /@;t t\$/s/[\\\\&,]/\\\\&/g;
1869    s/@@/,@/; s/@@/@,/; s/@;t t\$/,;t t/' >\$tmp/subs.sed <<\\CEOF
1870 s,@SHELL@,$SHELL,;t t
1871 s,@PATH_SEPARATOR@,$PATH_SEPARATOR,;t t
1872 s,@PACKAGE_NAME@,$PACKAGE_NAME,;t t
1873 s,@PACKAGE_TARNAME@,$PACKAGE_TARNAME,;t t
1874 s,@PACKAGE_VERSION@,$PACKAGE_VERSION,;t t
1875 s,@PACKAGE_STRING@,$PACKAGE_STRING,;t t
1876 s,@PACKAGE_BUGREPORT@,$PACKAGE_BUGREPORT,;t t
1877 s,@exec_prefix@,$exec_prefix,;t t
1878 s,@prefix@,$prefix,;t t
1879 s,@program_transform_name@,$program_transform_name,;t t
1880 s,@bindir@,$bindir,;t t
1881 s,@sbindir@,$sbindir,;t t
1882 s,@libexecdir@,$libexecdir,;t t
1883 s,@datadir@,$datadir,;t t
1884 s,@sysconfdir@,$sysconfdir,;t t
1885 s,@sharedstatedir@,$sharedstatedir,;t t
1886 s,@localstatedir@,$localstatedir,;t t
1887 s,@libdir@,$libdir,;t t
1888 s,@includedir@,$includedir,;t t
1889 s,@oldincludedir@,$oldincludedir,;t t
1890 s,@infodir@,$infodir,;t t
1891 s,@mandir@,$mandir,;t t
1892 s,@build_alias@,$build_alias,;t t
1893 s,@host_alias@,$host_alias,;t t
1894 s,@target_alias@,$target_alias,;t t
1895 s,@DEFS@,$DEFS,;t t
1896 s,@ECHO_C@,$ECHO_C,;t t
1897 s,@ECHO_N@,$ECHO_N,;t t
1898 s,@ECHO_T@,$ECHO_T,;t t
1899 s,@LIBS@,$LIBS,;t t
1900 s,@TCL_WIN_VERSION@,$TCL_WIN_VERSION,;t t
1901 s,@CC@,$CC,;t t
1902 s,@TCL_VERSION@,$TCL_VERSION,;t t
1903 s,@TCL_PATCH_LEVEL@,$TCL_PATCH_LEVEL,;t t
1904 s,@TCL_SRC_DIR@,$TCL_SRC_DIR,;t t
1905 s,@TCL_BIN_DIR@,$TCL_BIN_DIR,;t t
1906 s,@LIBOBJS@,$LIBOBJS,;t t
1907 s,@LTLIBOBJS@,$LTLIBOBJS,;t t
1908 CEOF
1909
1910 _ACEOF
1911
1912   cat >>$CONFIG_STATUS <<\_ACEOF
1913   # Split the substitutions into bite-sized pieces for seds with
1914   # small command number limits, like on Digital OSF/1 and HP-UX.
1915   ac_max_sed_lines=48
1916   ac_sed_frag=1 # Number of current file.
1917   ac_beg=1 # First line for current file.
1918   ac_end=$ac_max_sed_lines # Line after last line for current file.
1919   ac_more_lines=:
1920   ac_sed_cmds=
1921   while $ac_more_lines; do
1922     if test $ac_beg -gt 1; then
1923       sed "1,${ac_beg}d; ${ac_end}q" $tmp/subs.sed >$tmp/subs.frag
1924     else
1925       sed "${ac_end}q" $tmp/subs.sed >$tmp/subs.frag
1926     fi
1927     if test ! -s $tmp/subs.frag; then
1928       ac_more_lines=false
1929     else
1930       # The purpose of the label and of the branching condition is to
1931       # speed up the sed processing (if there are no `@' at all, there
1932       # is no need to browse any of the substitutions).
1933       # These are the two extra sed commands mentioned above.
1934       (echo ':t
1935   /@[a-zA-Z_][a-zA-Z_0-9]*@/!b' && cat $tmp/subs.frag) >$tmp/subs-$ac_sed_frag.sed
1936       if test -z "$ac_sed_cmds"; then
1937         ac_sed_cmds="sed -f $tmp/subs-$ac_sed_frag.sed"
1938       else
1939         ac_sed_cmds="$ac_sed_cmds | sed -f $tmp/subs-$ac_sed_frag.sed"
1940       fi
1941       ac_sed_frag=`expr $ac_sed_frag + 1`
1942       ac_beg=$ac_end
1943       ac_end=`expr $ac_end + $ac_max_sed_lines`
1944     fi
1945   done
1946   if test -z "$ac_sed_cmds"; then
1947     ac_sed_cmds=cat
1948   fi
1949 fi # test -n "$CONFIG_FILES"
1950
1951 _ACEOF
1952 cat >>$CONFIG_STATUS <<\_ACEOF
1953 for ac_file in : $CONFIG_FILES; do test "x$ac_file" = x: && continue
1954   # Support "outfile[:infile[:infile...]]", defaulting infile="outfile.in".
1955   case $ac_file in
1956   - | *:- | *:-:* ) # input from stdin
1957         cat >$tmp/stdin
1958         ac_file_in=`echo "$ac_file" | sed 's,[^:]*:,,'`
1959         ac_file=`echo "$ac_file" | sed 's,:.*,,'` ;;
1960   *:* ) ac_file_in=`echo "$ac_file" | sed 's,[^:]*:,,'`
1961         ac_file=`echo "$ac_file" | sed 's,:.*,,'` ;;
1962   * )   ac_file_in=$ac_file.in ;;
1963   esac
1964
1965   # Compute @srcdir@, @top_srcdir@, and @INSTALL@ for subdirectories.
1966   ac_dir=`(dirname "$ac_file") 2>/dev/null ||
1967 $as_expr X"$ac_file" : 'X\(.*[^/]\)//*[^/][^/]*/*$' \| \
1968          X"$ac_file" : 'X\(//\)[^/]' \| \
1969          X"$ac_file" : 'X\(//\)$' \| \
1970          X"$ac_file" : 'X\(/\)' \| \
1971          .     : '\(.\)' 2>/dev/null ||
1972 echo X"$ac_file" |
1973     sed '/^X\(.*[^/]\)\/\/*[^/][^/]*\/*$/{ s//\1/; q; }
1974           /^X\(\/\/\)[^/].*/{ s//\1/; q; }
1975           /^X\(\/\/\)$/{ s//\1/; q; }
1976           /^X\(\/\).*/{ s//\1/; q; }
1977           s/.*/./; q'`
1978   { if $as_mkdir_p; then
1979     mkdir -p "$ac_dir"
1980   else
1981     as_dir="$ac_dir"
1982     as_dirs=
1983     while test ! -d "$as_dir"; do
1984       as_dirs="$as_dir $as_dirs"
1985       as_dir=`(dirname "$as_dir") 2>/dev/null ||
1986 $as_expr X"$as_dir" : 'X\(.*[^/]\)//*[^/][^/]*/*$' \| \
1987          X"$as_dir" : 'X\(//\)[^/]' \| \
1988          X"$as_dir" : 'X\(//\)$' \| \
1989          X"$as_dir" : 'X\(/\)' \| \
1990          .     : '\(.\)' 2>/dev/null ||
1991 echo X"$as_dir" |
1992     sed '/^X\(.*[^/]\)\/\/*[^/][^/]*\/*$/{ s//\1/; q; }
1993           /^X\(\/\/\)[^/].*/{ s//\1/; q; }
1994           /^X\(\/\/\)$/{ s//\1/; q; }
1995           /^X\(\/\).*/{ s//\1/; q; }
1996           s/.*/./; q'`
1997     done
1998     test ! -n "$as_dirs" || mkdir $as_dirs
1999   fi || { { echo "$as_me:$LINENO: error: cannot create directory \"$ac_dir\"" >&5
2000 echo "$as_me: error: cannot create directory \"$ac_dir\"" >&2;}
2001    { (exit 1); exit 1; }; }; }
2002
2003   ac_builddir=.
2004
2005 if test "$ac_dir" != .; then
2006   ac_dir_suffix=/`echo "$ac_dir" | sed 's,^\.[\\/],,'`
2007   # A "../" for each directory in $ac_dir_suffix.
2008   ac_top_builddir=`echo "$ac_dir_suffix" | sed 's,/[^\\/]*,../,g'`
2009 else
2010   ac_dir_suffix= ac_top_builddir=
2011 fi
2012
2013 case $srcdir in
2014   .)  # No --srcdir option.  We are building in place.
2015     ac_srcdir=.
2016     if test -z "$ac_top_builddir"; then
2017        ac_top_srcdir=.
2018     else
2019        ac_top_srcdir=`echo $ac_top_builddir | sed 's,/$,,'`
2020     fi ;;
2021   [\\/]* | ?:[\\/]* )  # Absolute path.
2022     ac_srcdir=$srcdir$ac_dir_suffix;
2023     ac_top_srcdir=$srcdir ;;
2024   *) # Relative path.
2025     ac_srcdir=$ac_top_builddir$srcdir$ac_dir_suffix
2026     ac_top_srcdir=$ac_top_builddir$srcdir ;;
2027 esac
2028
2029 # Do not use `cd foo && pwd` to compute absolute paths, because
2030 # the directories may not exist.
2031 case `pwd` in
2032 .) ac_abs_builddir="$ac_dir";;
2033 *)
2034   case "$ac_dir" in
2035   .) ac_abs_builddir=`pwd`;;
2036   [\\/]* | ?:[\\/]* ) ac_abs_builddir="$ac_dir";;
2037   *) ac_abs_builddir=`pwd`/"$ac_dir";;
2038   esac;;
2039 esac
2040 case $ac_abs_builddir in
2041 .) ac_abs_top_builddir=${ac_top_builddir}.;;
2042 *)
2043   case ${ac_top_builddir}. in
2044   .) ac_abs_top_builddir=$ac_abs_builddir;;
2045   [\\/]* | ?:[\\/]* ) ac_abs_top_builddir=${ac_top_builddir}.;;
2046   *) ac_abs_top_builddir=$ac_abs_builddir/${ac_top_builddir}.;;
2047   esac;;
2048 esac
2049 case $ac_abs_builddir in
2050 .) ac_abs_srcdir=$ac_srcdir;;
2051 *)
2052   case $ac_srcdir in
2053   .) ac_abs_srcdir=$ac_abs_builddir;;
2054   [\\/]* | ?:[\\/]* ) ac_abs_srcdir=$ac_srcdir;;
2055   *) ac_abs_srcdir=$ac_abs_builddir/$ac_srcdir;;
2056   esac;;
2057 esac
2058 case $ac_abs_builddir in
2059 .) ac_abs_top_srcdir=$ac_top_srcdir;;
2060 *)
2061   case $ac_top_srcdir in
2062   .) ac_abs_top_srcdir=$ac_abs_builddir;;
2063   [\\/]* | ?:[\\/]* ) ac_abs_top_srcdir=$ac_top_srcdir;;
2064   *) ac_abs_top_srcdir=$ac_abs_builddir/$ac_top_srcdir;;
2065   esac;;
2066 esac
2067
2068
2069
2070   if test x"$ac_file" != x-; then
2071     { echo "$as_me:$LINENO: creating $ac_file" >&5
2072 echo "$as_me: creating $ac_file" >&6;}
2073     rm -f "$ac_file"
2074   fi
2075   # Let's still pretend it is `configure' which instantiates (i.e., don't
2076   # use $as_me), people would be surprised to read:
2077   #    /* config.h.  Generated by config.status.  */
2078   if test x"$ac_file" = x-; then
2079     configure_input=
2080   else
2081     configure_input="$ac_file.  "
2082   fi
2083   configure_input=$configure_input"Generated from `echo $ac_file_in |
2084                                      sed 's,.*/,,'` by configure."
2085
2086   # First look for the input files in the build tree, otherwise in the
2087   # src tree.
2088   ac_file_inputs=`IFS=:
2089     for f in $ac_file_in; do
2090       case $f in
2091       -) echo $tmp/stdin ;;
2092       [\\/$]*)
2093          # Absolute (can't be DOS-style, as IFS=:)
2094          test -f "$f" || { { echo "$as_me:$LINENO: error: cannot find input file: $f" >&5
2095 echo "$as_me: error: cannot find input file: $f" >&2;}
2096    { (exit 1); exit 1; }; }
2097          echo "$f";;
2098       *) # Relative
2099          if test -f "$f"; then
2100            # Build tree
2101            echo "$f"
2102          elif test -f "$srcdir/$f"; then
2103            # Source tree
2104            echo "$srcdir/$f"
2105          else
2106            # /dev/null tree
2107            { { echo "$as_me:$LINENO: error: cannot find input file: $f" >&5
2108 echo "$as_me: error: cannot find input file: $f" >&2;}
2109    { (exit 1); exit 1; }; }
2110          fi;;
2111       esac
2112     done` || { (exit 1); exit 1; }
2113 _ACEOF
2114 cat >>$CONFIG_STATUS <<_ACEOF
2115   sed "$ac_vpsub
2116 $extrasub
2117 _ACEOF
2118 cat >>$CONFIG_STATUS <<\_ACEOF
2119 :t
2120 /@[a-zA-Z_][a-zA-Z_0-9]*@/!b
2121 s,@configure_input@,$configure_input,;t t
2122 s,@srcdir@,$ac_srcdir,;t t
2123 s,@abs_srcdir@,$ac_abs_srcdir,;t t
2124 s,@top_srcdir@,$ac_top_srcdir,;t t
2125 s,@abs_top_srcdir@,$ac_abs_top_srcdir,;t t
2126 s,@builddir@,$ac_builddir,;t t
2127 s,@abs_builddir@,$ac_abs_builddir,;t t
2128 s,@top_builddir@,$ac_top_builddir,;t t
2129 s,@abs_top_builddir@,$ac_abs_top_builddir,;t t
2130 " $ac_file_inputs | (eval "$ac_sed_cmds") >$tmp/out
2131   rm -f $tmp/stdin
2132   if test x"$ac_file" != x-; then
2133     mv $tmp/out $ac_file
2134   else
2135     cat $tmp/out
2136     rm -f $tmp/out
2137   fi
2138
2139 done
2140 _ACEOF
2141
2142 cat >>$CONFIG_STATUS <<\_ACEOF
2143
2144 { (exit 0); exit 0; }
2145 _ACEOF
2146 chmod +x $CONFIG_STATUS
2147 ac_clean_files=$ac_clean_files_save
2148
2149
2150 # configure is writing to config.log, and then calls config.status.
2151 # config.status does its own redirection, appending to config.log.
2152 # Unfortunately, on DOS this fails, as config.log is still kept open
2153 # by configure, so config.status won't be able to write to it; its
2154 # output is simply discarded.  So we exec the FD to /dev/null,
2155 # effectively closing config.log, so it can be properly (re)opened and
2156 # appended to by config.status.  When coming back to configure, we
2157 # need to make the FD available again.
2158 if test "$no_create" != yes; then
2159   ac_cs_success=:
2160   ac_config_status_args=
2161   test "$silent" = yes &&
2162     ac_config_status_args="$ac_config_status_args --quiet"
2163   exec 5>/dev/null
2164   $SHELL $CONFIG_STATUS $ac_config_status_args || ac_cs_success=false
2165   exec 5>>config.log
2166   # Use ||, not &&, to avoid exiting from the if with $? = 1, which
2167   # would make configure fail if this is the last instruction.
2168   $ac_cs_success || { (exit 1); exit 1; }
2169 fi
2170